Bug 1425117 - (CVE-2016-7837) CVE-2016-7837 bluez: Buffer overflow in parse_line function
CVE-2016-7837 bluez: Buffer overflow in parse_line function
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
Blocks: 1425118
  Show dependency treegraph
Reported: 2017-02-20 10:32 EST by Andrej Nemec
Modified: 2017-02-28 03:00 EST (History)
6 users (show)

See Also:
Fixed In Version: bluez 5.42
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-02-28 03:00:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-02-20 10:32:20 EST
BlueZ provides a Bluetooth protocol stack for Linux kernel and userland utilities.
parse_line() function used in some userland utilities contains a buffer overflow vulnerability.

Upstream patch:

Comment 4 Dhiru Kholia 2017-02-28 03:00:41 EST

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates.

Note You need to log in before you can comment on or make changes to this bug.